Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 253142 - elftoaout is sparc sparc64 only
Summary: elftoaout is sparc sparc64 only
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elftoaout
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 FE-ExcludeArch-x64, F-ExcludeArch-x64 FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2007-08-17 05:35 UTC by Dennis Gilmore
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 21:49:31 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2007-08-17 05:35:54 UTC
Description of problem:

elftoaout is used to convert elf binaries to a.out  sparc systems need to use 
a.out to boot. silo the boot loader depends on alftoaout.

Comment 1 David Woodhouse 2007-08-17 05:47:58 UTC
Er, doesn't objcopy also do that? 

Comment 2 Jima 2007-08-17 13:19:53 UTC
(In reply to comment #1)
> Er, doesn't objcopy also do that? 

If it does, I can't find the proper incantation to make it do so.

# objcopy -O a.out-sparc-linux /boot/vmlinuz-2.6.21-1.3149.al3.12 \
vmlinuz-2.6.21-1.3149.al3.12.aout.2
objcopy: Unable to change endianness of input file(s)

# objcopy -O a.out-sunos-big /boot/vmlinuz-2.6.21-1.3149.al3.12 \
vmlinuz-2.6.21-1.3149.al3.12.aout.2
BFD: vmlinuz-2.6.21-1.3149.al3.12.aout.2: can not represent section `.rodata' in
a.out object file format
objcopy: vmlinuz-2.6.21-1.3149.al3.12.aout.2: Nonrepresentable section on output
BFD: vmlinuz-2.6.21-1.3149.al3.12.aout.2: can not represent section `.rodata' in
a.out object file format
objcopy: vmlinuz-2.6.21-1.3149.al3.12.aout.2: Nonrepresentable section on output

The former produces an empty output file, the latter no output file.

The listed formats include:

objcopy: supported targets: elf32-sparc a.out-sparc-linux elf64-sparc
a.out-sunos-big elf64-little elf64-big elf32-little elf32-big srec symbolsrec
tekhex binary ihex

None of those look like what we want, unless I'm missing something.

Comment 3 Jima 2007-08-28 21:49:31 UTC
Okay, it was decided a few days ago that there wasn't too much point in us
keeping people from doing unusual or flat-out insane things, so Dennis removed
the EA from elftoaout, and 2.3-10 was built for Rawhide i386/ppc/ppc64/x86_64 on
2007-08-23.

As a result, I'm going to close this bug.


Note You need to log in before you can comment on or make changes to this bug.